Skip to main content
GET
/
deposit-addresses
/
search
Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.
curl --request GET \
  --url https://api.rhino.fi/bridge/deposit-addresses/search \
  --header 'Authorization: Bearer <token>'
{
  "nextPageToken": "<string>",
  "items": [
    {
      "depositChain": "<string>",
      "depositAddress": "<string>",
      "destinationChain": "<string>",
      "userId": "<string>",
      "destinationAddress": "<string>",
      "addressNote": "<string>",
      "postBridgeData": {
        "_tag": "extended",
        "vaultId": 1
      },
      "tokenOut": "<string>",
      "refundAddress": "<string>",
      "bridgeIfNotSwappable": true,
      "webhookUrl": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT token for authentication

Query Parameters

addressNote
string

Optional note or label for the deposit address (max 80 characters).

Maximum string length: 80
depositChain
string

The blockchain network identifier where the deposit address is located.

Minimum string length: 1
destinationChain
string

The blockchain network identifier where bridged tokens will be sent.

Minimum string length: 1
destinationAddress
string

The destination address where bridged tokens will be sent (optional).

Minimum string length: 1
pageToken
string

a non empty string

Minimum string length: 1
pageSize
string

a string to be decoded into a number

Response

SearchDepositAddressResponse

nextPageToken
string | null
required

Token for the next page of results, null if no more pages.

Minimum string length: 1
items
object[]
required

Array of deposit addresses matching the search criteria.